> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-beta.getzep.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server.

# Approve Agent Skill

POST https://api.getzep.com/api/v4/agents/{agent_uuid}/skills/{skill_uuid}/approve
Content-Type: application/json

Reference: https://docs-beta.getzep.com/sdk-reference/agent/skill/approve

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key  `) — Type "Api-Key" followed by a space and the project API key.

## Request

### Path parameters

- `agent_uuid` (string, required) — Agent UUID
- `skill_uuid` (string, required) — Skill UUID

### Body (application/json)

This endpoint expects a v4.ApproveAgentSkillRequest.

- `expected_version` (integer, required)

## Response

### 200

OK

- `created_at` (string, optional)
- `decision` (string, optional)
- `mode` (string, optional)
- `reason_code` (string, optional)
- `skill_version` (integer, optional)
- `supporting_attempt_families` (integer, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (v4.ErrorBody, optional)

### 401 Unauthorized Error

Unauthorized

- `error` (v4.ErrorBody, optional)

### 403 Forbidden Error

Forbidden

- `error` (v4.ErrorBody, optional)

### 404 Not Found Error

Not Found

- `error` (v4.ErrorBody, optional)

### 409 Conflict Error

Conflict

- `error` (v4.ErrorBody, optional)

## Types

### v4.ErrorBody

- `code` (string, optional)
- `details` (map from string to any, optional)
- `message` (string, optional)
- `param` (string, optional)
- `request_id` (string, optional)

## Examples

**Request**

```json
{
  "expected_version": 1
}
```

**Response**

```json
{
  "created_at": "string",
  "decision": "string",
  "mode": "string",
  "reason_code": "string",
  "skill_version": 1,
  "supporting_attempt_families": 1
}
```